use clap::Command;

mod commands;
mod config;
mod store;
mod subcommands;

fn main() {
    let app = Command::new("Nextsync")
        .version("1.0")
        .author("grimhilt")
        .about("A git-line command line tool to interact with nextcloud")
        .subcommands([subcommands::init::create(), subcommands::add::create()]);
    // .setting(clap::AppSettings::SubcommandRequiredElseHelp);

    let matches = app.get_matches();

    match matches.subcommand() {
        Some(("init", args)) => subcommands::init::handler(args),
        Some(("add", args)) => subcommands::add::handler(args),
        Some((_, _)) => {}
        None => {}
    };
}
